/*
 * Copyright (C) 2003-2004 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef INCL_SPDM_CONSTANTS
    #define INCL_SPDM_CONSTANTS

    #define DIM_MANAGEMENT_PATH 512
    #define DIM_PROPERTY_NAME    64


    //DM
    #define DIM_BUFFER_PATH     512
    #define DIM_CONTEXT         512

    // config - DEVINFO
    #define DIM_DEVID           256
    #define DIM_MAN             256
    #define DIM_MOD             256
    #define DIM_DMV             256
    #define DIM_LANG            256
    
    // config - DevDetail
    #define DIM_DEVTYP          256
    #define DIM_OEM             256
    #define DIM_FWV             256
    #define DIM_SWV             256
    #define DIM_HWV             256
    #define DIM_LRGOBJ          256

    #define DIM_MAXDEPTH        256
    #define DIM_MAXTOTLEN       256
    #define DIM_MAXSEGLEN       256

    //config - Con
    #define DIM_CON_BEARER          256
    #define DIM_CON_ADDRTYPE        256
    #define DIM_CON_ADDR            256
    
    //config - DMAcc
    #define DIM_USER            256
    #define DIM_CLIENTPW        256
    #define DIM_ADDR            256
    #define DIM_ADDRTYPE        256
    #define DIM_PORTNUMBER      256
    #define DIM_SERVERID        256
    #define DIM_SERVERPW        256
    #define DIM_CLIENTNONCE     256
    
    #define DIM_NEXTNONCE       256

    // code
    #define ERR_NOT_FOUND       404
    #define ERR_EQUALS_VALUES   418
    #define ERR_COMMAND_FAILED  500
    #define ERR_KEY_NOT_FOUND     2

    #define VALUE_OK            200
    


    #define ERR_INVALID_CONTEXT             10000
    #define ERR_SOURCE_DEFINITION_NOT_FOUND 10001

#endif